Indexer SMT Root
Indexer zuletzt synchronisierter SMT-Root
Ruft den aktuell zuletzt verarbeiteten SMT-Root des ZCashNames Resolution Indexer-Knotens ab.
Endpunkt
GET https://indexer.zcashnames.co/v1.0/getRoot
Dieser Endpunkt erfordert keine Pfadparameter oder einen Anforderungstext.
Codebeispiele
- cURL
- JavaScript
- Python
- PHP
curl -X GET https://indexer.zcashnames.co/v1.0/getRoot
const url = 'https://indexer.zcashnames.co/v1.0/getRoot';
fetch(url, {
method: 'GET'
})
.then(response => response.json())
.then(result => console.log(result))
.catch(error => console.error('Error:', error));
import requests
url = "https://indexer.zcashnames.co/v1.0/getRoot"
response = requests.get(url)
print(response.json())
<?php
$url = 'https://indexer.zcashnames.co/v1.0/getRoot';
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'Content-Type: application/json'
]);
$response = curl_exec($ch);
curl_close($ch);
$result = json_decode($response, true);
print_r($result);
Antwortbeispiel
{
"response": "1c3ba6eb818b93823d635b7d6737377693796312a1abd2d3b863da5d455df128"
}